package ExtractorPalabra;
use strict;
use warnings;
use base 'HTML::Parser';

our $VERSION = '1.00';

my $estamos_dentro_de_marca = 0;
my $es_valido = 0;
my @keywords;
my $file;

sub new
{
	my ( $class, $out ) = @_;
	my $self = HTML::Parser->new();
	$file = $out;
	open (FILE, ">$file");
	return ( bless( $self, $class ) );
}

sub start
{
	my ( $self, $tagname, $attr, $attrseq, $origtext ) = @_;
	
	if ( $tagname eq 'p' )
	{
		$estamos_dentro_de_marca = 1;
	}
	if ($tagname eq 'b' && $estamos_dentro_de_marca) {
	 $es_valido = 1;
  }
}

sub end
{
	my ( $self, $tagname, $origtext ) = @_;
	if ($tagname eq 'p' && $es_valido) {
	 $es_valido = 0;
  }
  $estamos_dentro_de_marca = 0;
}

sub text
{
	my ( $self, $origtext, $is_cdata ) = @_;
	if ($es_valido)
	{
	 print FILE $origtext;
	}
}

sub clean
{
	close(FILE);
}

1;


