package EstractorArticulu;
use strict;
use warnings;
use base 'HTML::Parser';

our $VERSION = '1.00';

my $estamos_dentro_de_marca = 0;
my $es_valido = 0;
my @keywords;
my $file;
my $yetitulu = 0;

sub new
{
	my ( $class, $out ) = @_;
	my $self = HTML::Parser->new();
	$file = $out;
	open (FILE, ">$file");
	return ( bless( $self, $class ) );
}

sub start
{
	my ( $self, $tagname, $attr, $attrseq, $origtext ) = @_;
	
	if ( $tagname eq 'td' && defined $attr->{'class'} && $attr->{'class'} eq "txt")
	{
		$estamos_dentro_de_marca = 1;
	}
	if ( $tagname eq 'div' && defined $attr->{'class'} && $attr->{'class'} eq "entrytext")
	{
		$estamos_dentro_de_marca = 1;
	}
	if ( $tagname eq 'li' && defined $attr->{'id'} && $attr->{'id'} =~ /^comment/)
	{
		$estamos_dentro_de_marca = 1;
	}
	if ( $tagname eq 'p')
	{
		$estamos_dentro_de_marca = 1;
		$es_valido = 1;
	}
  	if ($tagname eq 'a' && defined $attr->{'class'} && $attr->{'class'} eq "bluebold14")
	{
		$yetitulu = 1;
	}
	if ($tagname eq 'a' && defined $attr->{'title'} && $attr->{'title'} =~ /^Permanent/)
	{
		$yetitulu = 1;
	}

}

sub end
{
	my ( $self, $tagname, $origtext ) = @_;
	if ($tagname eq 'p' && $es_valido)
	{
		$es_valido = 0;
		$estamos_dentro_de_marca = 0;
	}
    	if ($tagname eq 'td')
	{
		$estamos_dentro_de_marca = 0;
	}
  	if ($tagname eq 'div')
	{
		$estamos_dentro_de_marca = 0;
	}
  	if ($tagname eq 'li')
	{
		$estamos_dentro_de_marca = 0;
	}
	if ($tagname eq 'a' && $yetitulu)
	{
		$yetitulu = 0;}
	}

sub text
{
	my ( $self, $origtext, $is_cdata ) = @_;
	if ($es_valido || $yetitulu)
	{
	 print FILE "$origtext\n";
	}
}

sub clean
{
	close(FILE);
}

1;
